Bug 1566265 - [abrt] PackageKit: pk_source_finalize(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: pk_source_finalize(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2ac899ca2826e136a7cafe38e81...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 22:48 UTC by pmkellly
Modified: 2019-05-28 22:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:17:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (32.00 KB, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: cgroup (308 bytes, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: core_backtrace (15.32 KB, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: cpuinfo (1007 bytes, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: dso_list (8.13 KB, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: environ (190 bytes, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: maps (38.87 KB, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: mountinfo (3.63 KB, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: open_fds (3.38 KB, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details
File: var_log_messages (853 bytes, text/plain)
2018-04-11 22:48 UTC, pmkellly
no flags Details

Description pmkellly 2018-04-11 22:48:18 UTC
Version-Release number of selected component:
PackageKit-1.1.9-3.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: pk_source_finalize
executable:     /usr/libexec/packagekitd
journald_cursor: s=38042c6e6137460cb57c19dc5e0a98ed;i=abc;b=e02632f1f41c48baa03d12b99363c4e9;m=1396df4a;t=56994c3e45ca1;x=b78e2a6b0772f6ce
kernel:         4.16.0-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 pk_source_finalize at pk-source.c:160
 #2 pk_results_finalize at pk-results.c:938
 #4 pk_transaction_finalize at pk-transaction.c:5566
 #6 pk_scheduler_item_free at pk-scheduler.c:209
 #7 pk_scheduler_remove_internal at pk-scheduler.c:238
 #8 pk_scheduler_remove_item_cb at pk-scheduler.c:293

Comment 1 pmkellly 2018-04-11 22:48:24 UTC
Created attachment 1420550 [details]
File: backtrace

Comment 2 pmkellly 2018-04-11 22:48:25 UTC
Created attachment 1420551 [details]
File: cgroup

Comment 3 pmkellly 2018-04-11 22:48:27 UTC
Created attachment 1420552 [details]
File: core_backtrace

Comment 4 pmkellly 2018-04-11 22:48:28 UTC
Created attachment 1420553 [details]
File: cpuinfo

Comment 5 pmkellly 2018-04-11 22:48:29 UTC
Created attachment 1420554 [details]
File: dso_list

Comment 6 pmkellly 2018-04-11 22:48:30 UTC
Created attachment 1420555 [details]
File: environ

Comment 7 pmkellly 2018-04-11 22:48:32 UTC
Created attachment 1420556 [details]
File: exploitable

Comment 8 pmkellly 2018-04-11 22:48:33 UTC
Created attachment 1420557 [details]
File: limits

Comment 9 pmkellly 2018-04-11 22:48:35 UTC
Created attachment 1420558 [details]
File: maps

Comment 10 pmkellly 2018-04-11 22:48:36 UTC
Created attachment 1420559 [details]
File: mountinfo

Comment 11 pmkellly 2018-04-11 22:48:38 UTC
Created attachment 1420560 [details]
File: open_fds

Comment 12 pmkellly 2018-04-11 22:48:39 UTC
Created attachment 1420561 [details]
File: proc_pid_status

Comment 13 pmkellly 2018-04-11 22:48:40 UTC
Created attachment 1420562 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 21:00:11 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 22:17:42 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.